Index: /stable/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Creators/ProbabilisticTreeCreator.cs
===================================================================
--- /stable/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Creators/ProbabilisticTreeCreator.cs	(revision 13245)
+++ /stable/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Creators/ProbabilisticTreeCreator.cs	(revision 13246)
@@ -74,4 +74,24 @@
     }
 
+    public static ISymbolicExpressionTree CreateExpressionTree(IRandom random, ISymbolicExpressionGrammar grammar, int targetLength,
+      int maxTreeDepth) {
+      SymbolicExpressionTree tree = new SymbolicExpressionTree();
+      var rootNode = (SymbolicExpressionTreeTopLevelNode)grammar.ProgramRootSymbol.CreateTreeNode();
+      if (rootNode.HasLocalParameters) rootNode.ResetLocalParameters(random);
+      rootNode.SetGrammar(grammar.CreateExpressionTreeGrammar());
+
+      var startNode = (SymbolicExpressionTreeTopLevelNode)grammar.StartSymbol.CreateTreeNode();
+      if (startNode.HasLocalParameters) startNode.ResetLocalParameters(random);
+      startNode.SetGrammar(grammar.CreateExpressionTreeGrammar());
+
+      rootNode.AddSubtree(startNode);
+      bool success = TryCreateFullTreeFromSeed(random, startNode, targetLength - 2, maxTreeDepth - 1);
+      if (!success) throw new InvalidOperationException(string.Format("Could not create a tree with target length {0} and max depth {1}", targetLength, maxTreeDepth));
+
+      tree.Root = rootNode;
+      return tree;
+
+    }
+
     private class TreeExtensionPoint {
       public ISymbolicExpressionTreeNode Parent { get; set; }
@@ -107,5 +127,5 @@
         } else {
           // clean seedNode
-          while (seedNode.Subtrees.Count() > 0) seedNode.RemoveSubtree(0);
+          while (seedNode.Subtrees.Any()) seedNode.RemoveSubtree(0);
         }
         // try a different length MAX_TRIES times
Index: /stable/HeuristicLab.Tests/HeuristicLab-3.3/ContentViewTests.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab-3.3/ContentViewTests.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab-3.3/ContentViewTests.cs	(revision 13246)
@@ -45,7 +45,7 @@
         //check if view can handle null as content by calling OnContentChanged
         IContentView view = (IContentView)Activator.CreateInstance(viewType);
-        ContentView_Accessor accessor = new ContentView_Accessor(new PrivateObject(view));
+        var accessor = new PrivateObject(view);
         try {
-          accessor.OnContentChanged();
+          accessor.Invoke("OnContentChanged");
         }
         catch (Exception ex) {
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Tests;
@@ -32,39 +31,4 @@
   [TestClass()]
   public class NPointCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.BinaryVector")]
-    [TestProperty("Time", "short")]
-    public void NPointCrossoverCrossTest() {
-      NPointCrossover_Accessor target = new NPointCrossover_Accessor(new PrivateObject(typeof(NPointCrossover)));
-      ItemArray<BinaryVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(5), new BinaryVector(6), new BinaryVector(4) });
-      exceptionFired = false;
-      try {
-        BinaryVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(4) });
-      exceptionFired = false;
-      try {
-        BinaryVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -116,5 +80,6 @@
       try {
         actual = NPointCrossover.Apply(random, parent1, parent2, n);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: able/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 13245)
+++ 	(revision )
@@ -1,69 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using HeuristicLab.Core;
-using HeuristicLab.Tests;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
-  /// <summary>
-  ///This is a test class for SinglePointCrossoverTest and is intended
-  ///to contain all SinglePointCrossoverTest Unit Tests
-  ///</summary>
-  [TestClass()]
-  public class SinglePointCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.BinaryVector")]
-    [TestProperty("Time", "short")]
-    public void SinglePointCrossoverCrossTest() {
-      SinglePointCrossover_Accessor target = new SinglePointCrossover_Accessor(new PrivateObject(typeof(SinglePointCrossover)));
-      ItemArray<BinaryVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(5), new BinaryVector(6), new BinaryVector(4) });
-      exceptionFired = false;
-      try {
-        BinaryVector actual;
-        actual = target.Cross(random, parents);
-      } catch (ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(4) });
-      exceptionFired = false;
-      try {
-        BinaryVector actual;
-        actual = target.Cross(random, parents);
-      } catch (ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-  }
-}
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,39 +30,4 @@
   [TestClass()]
   public class UniformCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.BinaryVector")]
-    [TestProperty("Time", "short")]
-    public void SinglePointCrossoverCrossTest() {
-      UniformCrossover_Accessor target = new UniformCrossover_Accessor(new PrivateObject(typeof(UniformCrossover)));
-      ItemArray<BinaryVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(5), new BinaryVector(6), new BinaryVector(4) });
-      exceptionFired = false;
-      try {
-        BinaryVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<BinaryVector>(new BinaryVector[] { new BinaryVector(4) });
-      exceptionFired = false;
-      try {
-        BinaryVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -102,5 +66,6 @@
       try {
         actual = UniformCrossover.Apply(random, parent1, parent2);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 13246)
@@ -32,28 +32,4 @@
   public class DiscreteCrossoverTest {
     /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.IntegerVector")]
-    [TestProperty("Time", "short")]
-    public void DiscreteCrossoverCrossTest() {
-      DiscreteCrossover_Accessor target = new DiscreteCrossover_Accessor(new PrivateObject(typeof(DiscreteCrossover)));
-      ItemArray<IntegerVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<IntegerVector>(new IntegerVector[] { new IntegerVector(4) });
-      exceptionFired = false;
-      try {
-        IntegerVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
-    /// <summary>
     ///A test for Apply
     ///</summary>
@@ -82,5 +58,6 @@
       try {
         actual = DiscreteCrossover.Apply(random, new ItemArray<IntegerVector>(new IntegerVector[] { parent1, parent2 }));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 13246)
@@ -38,5 +38,5 @@
     [TestProperty("Time", "short")]
     public void SinglePointCrossoverCrossTest() {
-      SinglePointCrossover_Accessor target = new SinglePointCrossover_Accessor(new PrivateObject(typeof(SinglePointCrossover)));
+      var target = new PrivateObject(typeof(SinglePointCrossover));
       ItemArray<IntegerVector> parents;
       TestRandom random = new TestRandom();
@@ -48,6 +48,7 @@
       try {
         IntegerVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
+        actual = (IntegerVector)target.Invoke("Cross", random, parents);
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -59,6 +60,7 @@
       try {
         IntegerVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
+        actual = (IntegerVector)target.Invoke("Cross", random, parents);
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -92,5 +94,6 @@
       try {
         actual = SinglePointCrossover.Apply(random, parent1, parent2);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class CosaCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void CosaCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      CosaCrossover_Accessor target =
-        new CosaCrossover_Accessor(new PrivateObject(typeof(CosaCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -104,5 +81,6 @@
       try {
         CosaCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossover2Test.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossover2Test.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossover2Test.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,25 +30,4 @@
   [TestClass()]
   public class CyclicCrossover2Test {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void CyclicCrossover2CrossTest() {
-      TestRandom random = new TestRandom();
-      CyclicCrossover2_Accessor target = new CyclicCrossover2_Accessor(new PrivateObject(typeof(CyclicCrossover2)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -79,5 +57,6 @@
       try {
         CyclicCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CyclicCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class CyclicCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void CyclicCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      CyclicCrossover_Accessor target =
-        new CyclicCrossover_Accessor(new PrivateObject(typeof(CyclicCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -80,5 +57,6 @@
       try {
         CyclicCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/EdgeRecombinationCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/EdgeRecombinationCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/EdgeRecombinationCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class EdgeRecombinationCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void EdgeRecombinationCrossoverCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      EdgeRecombinationCrossover_Accessor target =
-        new EdgeRecombinationCrossover_Accessor(new PrivateObject(typeof(EdgeRecombinationCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -81,5 +58,6 @@
       try {
         EdgeRecombinationCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/MaximalPreservativeCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/MaximalPreservativeCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/MaximalPreservativeCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class MaximalPreservativeCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void MaximalPreservativeCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      MaximalPreservativeCrossover_Accessor target =
-        new MaximalPreservativeCrossover_Accessor(new PrivateObject(typeof(MaximalPreservativeCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -80,5 +57,6 @@
       try {
         MaximalPreservativeCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderBasedCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderBasedCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderBasedCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class OrderBasedCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void OrderBasedCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      OrderBasedCrossover_Accessor target =
-        new OrderBasedCrossover_Accessor(new PrivateObject(typeof(OrderBasedCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -78,5 +55,6 @@
       try {
         OrderBasedCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossover2Test.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossover2Test.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossover2Test.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,24 +30,4 @@
   [TestClass()]
   public class OrderCrossover2Test {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void OrderCrossover2CrossTest() {
-      TestRandom random = new TestRandom();
-      OrderCrossover2_Accessor target = new OrderCrossover2_Accessor(new PrivateObject(typeof(OrderCrossover2)));
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -78,5 +57,6 @@
       try {
         OrderCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/OrderCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class OrderCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void OrderCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      OrderCrossover_Accessor target =
-        new OrderCrossover_Accessor(new PrivateObject(typeof(OrderCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -131,5 +108,6 @@
       try {
         OrderCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PartiallyMatchedCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PartiallyMatchedCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PartiallyMatchedCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,26 +30,4 @@
   [TestClass()]
   public class PartiallyMatchedCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void PartiallyMatchedCrossTest() {
-      TestRandom random = new TestRandom();
-      PartiallyMatchedCrossover_Accessor target =
-        new PartiallyMatchedCrossover_Accessor(new PrivateObject(typeof(PartiallyMatchedCrossover)));
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -92,5 +69,6 @@
       try {
         PartiallyMatchedCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PositionBasedCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PositionBasedCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/PositionBasedCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,27 +30,4 @@
   [TestClass()]
   public class PositionBasedCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void PositionBasedCrossoverCrossTest() {
-      TestRandom random = new TestRandom();
-      PositionBasedCrossover_Accessor target = new PositionBasedCrossover_Accessor(
-        new PrivateObject(typeof(PositionBasedCrossover)));
-
-      // perform a test with more than two parents
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] {
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4) }));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -83,5 +59,6 @@
       try {
         PositionBasedCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/UniformLikeCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/UniformLikeCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/UniformLikeCrossoverTest.cs	(revision 13246)
@@ -54,24 +54,4 @@
       Assert.IsTrue(Auxiliary.PermutationIsEqualByPosition(expected, actual));
     }
-
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod]
-    [TestCategory("Encodings.Permutation")]
-    [TestProperty("Time", "short")]
-    public void UniformLikeCrossoverCrossTest() {
-      UniformLikeCrossover_Accessor target = new UniformLikeCrossover_Accessor();
-      IRandom random = new TestRandom(new int[] { }, new double[] { 0.1, 0.2, 0.3, 0.4 });
-      random.Reset();
-      bool exceptionFired = false;
-      try {
-        target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
-          new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      } catch (System.InvalidOperationException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Tests;
@@ -32,39 +31,4 @@
   [TestClass()]
   public class BlendAlphaBetaCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void BlendAlphaBetaCrossoverCrossTest() {
-      BlendAlphaBetaCrossover_Accessor target = new BlendAlphaBetaCrossover_Accessor(new PrivateObject(typeof(BlendAlphaBetaCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -98,5 +62,6 @@
       try {
         actual = BlendAlphaBetaCrossover.Apply(random, parent1, parent2, alpha, beta);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -111,5 +76,6 @@
       try {
         actual = BlendAlphaBetaCrossover.Apply(random, parent1, parent2, alpha, beta);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Tests;
@@ -32,39 +31,4 @@
   [TestClass()]
   public class BlendAlphaCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void BlendAlphaCrossoverCrossTest() {
-      BlendAlphaCrossover_Accessor target = new BlendAlphaCrossover_Accessor(new PrivateObject(typeof(BlendAlphaCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -106,5 +70,6 @@
       try {
         actual = BlendAlphaCrossover.Apply(random, parent1, parent2, alpha);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -120,5 +85,6 @@
       try {
         actual = BlendAlphaCrossover.Apply(random, parent1, parent2, alpha);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 13246)
@@ -32,28 +32,4 @@
   public class DiscreteCrossoverTest {
     /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void DiscreteCrossoverCrossTest() {
-      DiscreteCrossover_Accessor target = new DiscreteCrossover_Accessor(new PrivateObject(typeof(DiscreteCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
-    /// <summary>
     ///A test for Apply
     ///</summary>
@@ -84,5 +60,6 @@
       try {
         actual = DiscreteCrossover.Apply(random, parents);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,39 +30,4 @@
   [TestClass()]
   public class HeuristicCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void HeuristicCrossoverCrossTest() {
-      HeuristicCrossover_Accessor target = new HeuristicCrossover_Accessor(new PrivateObject(typeof(HeuristicCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -92,5 +56,6 @@
       try {
         actual = HeuristicCrossover.Apply(random, parent1, parent2);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,39 +30,4 @@
   [TestClass()]
   public class LocalCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void LocalCrossoverCrossTest() {
-      LocalCrossover_Accessor target = new LocalCrossover_Accessor(new PrivateObject(typeof(LocalCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -92,5 +56,6 @@
       try {
         actual = LocalCrossover.Apply(random, parent1, parent2);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,39 +30,4 @@
   [TestClass()]
   public class RandomConvexCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void RandomConvexCrossoverCrossTest() {
-      RandomConvexCrossover_Accessor target = new RandomConvexCrossover_Accessor(new PrivateObject(typeof(RandomConvexCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -92,5 +56,6 @@
       try {
         actual = RandomConvexCrossover.Apply(random, parent1, parent2);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Tests;
@@ -32,39 +31,4 @@
   [TestClass()]
   public class SimulatedBinaryCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void SimulatedBinaryCrossoverCrossTest() {
-      SimulatedBinaryCrossover_Accessor target = new SimulatedBinaryCrossover_Accessor(new PrivateObject(typeof(SimulatedBinaryCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -96,5 +60,6 @@
       try {
         actual = SimulatedBinaryCrossover.Apply(random, parent1, parent2, contiguity);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -109,5 +74,6 @@
       try {
         actual = SimulatedBinaryCrossover.Apply(random, parent1, parent2, contiguity);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 13246)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Core;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -31,50 +30,4 @@
   [TestClass()]
   public class SinglePointCrossoverTest {
-    /// <summary>
-    ///A test for Cross
-    ///</summary>
-    [TestMethod()]
-    [TestCategory("Encodings.RealVector")]
-    [TestProperty("Time", "short")]
-    public void SinglePointCrossoverCrossTest() {
-      SinglePointCrossover_Accessor target = new SinglePointCrossover_Accessor(new PrivateObject(typeof(SinglePointCrossover)));
-      ItemArray<RealVector> parents;
-      TestRandom random = new TestRandom();
-      bool exceptionFired;
-      // The following test checks if there is an exception when there are more than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(5), new RealVector(6), new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when there are less than 2 parents
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(4) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-      // The following test checks if there is an exception when the vector has just one dimension
-      random.Reset();
-      parents = new ItemArray<RealVector>(new RealVector[] { new RealVector(1) });
-      exceptionFired = false;
-      try {
-        RealVector actual;
-        actual = target.Cross(random, parents);
-      } catch (System.ArgumentException) {
-        exceptionFired = true;
-      }
-      Assert.IsTrue(exceptionFired);
-    }
-
     /// <summary>
     ///A test for Apply
@@ -103,5 +56,6 @@
       try {
         actual = SinglePointCrossover.Apply(random, parent1, parent2);
-      } catch (System.ArgumentException) {
+      }
+      catch (System.ArgumentException) {
         exceptionFired = true;
       }
Index: able/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs	(revision 13245)
+++ 	(revision )
@@ -1,100 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Diagnostics;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Random;
-using Microsoft.VisualStudio.TestTools.UnitTesting;
-
-namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
-  [TestClass]
-  public class ProbabilisticTreeCreaterTest {
-    private const int POPULATION_SIZE = 10000;
-    private const int MAX_TREE_LENGTH = 100;
-    private const int MAX_TREE_DEPTH = 10;
-
-    [TestMethod()]
-    [TestCategory("Encodings.SymbolicExpressionTree")]
-    [TestProperty("Time", "long")]
-    public void ProbabilisticTreeCreaterDistributionsTest() {
-      var randomTrees = new List<ISymbolicExpressionTree>();
-      var grammar = Grammars.CreateSimpleArithmeticGrammar();
-      var random = new MersenneTwister(31415);
-      var stopwatch = new Stopwatch();
-      stopwatch.Start();
-      for (int i = 0; i < POPULATION_SIZE; i++) {
-        randomTrees.Add(ProbabilisticTreeCreator.Create(random, grammar, MAX_TREE_LENGTH, MAX_TREE_DEPTH));
-      }
-      stopwatch.Stop();
-
-      int count = 0;
-      int depth = 0;
-      foreach (var tree in randomTrees) {
-        Util.IsValid(tree);
-        count += tree.Length;
-        depth += tree.Depth;
-      }
-      double msPerRandomTreeCreation = stopwatch.ElapsedMilliseconds / (double)POPULATION_SIZE;
-
-      Console.WriteLine("ProbabilisticTreeCreator: " + Environment.NewLine +
-        msPerRandomTreeCreation + " ms per random tree (~" + Math.Round(1000.0 / (msPerRandomTreeCreation)) + "random trees / s)" + Environment.NewLine +
-        Util.GetSizeDistributionString(randomTrees, 105, 5) + Environment.NewLine +
-        Util.GetFunctionDistributionString(randomTrees) + Environment.NewLine +
-        Util.GetNumberOfSubtreesDistributionString(randomTrees) + Environment.NewLine +
-        Util.GetTerminalDistributionString(randomTrees) + Environment.NewLine +
-        "Average tree depth: " + depth / POPULATION_SIZE + Environment.NewLine +
-        "Average tree length: " + count / POPULATION_SIZE + Environment.NewLine +
-        "Total nodes created: " + count + Environment.NewLine
-        );
-      //mkommend: commented due to performance issues on the builder
-      // Assert.IsTrue(Math.Round(1000.0 / (msPerRandomTreeCreation)) > 250); // must achieve more than 250 random trees / s
-    }
-
-    [TestMethod]
-    [TestCategory("Encodings.SymbolicExpressionTree")]
-    [TestProperty("Time", "short")]
-    public void ProbabilisticTreeCreatorSpecificTreeSizesTest() {
-      var trees = new List<ISymbolicExpressionTree>();
-      var grammar = Grammars.CreateSimpleArithmeticGrammar();
-      var random = new MersenneTwister(31415);
-      var treeGrammarType = SymbolicExpressionTreeGrammar_Accessor.ShadowedType.ReferencedType;
-
-
-      for (int targetTreeSize = 1; targetTreeSize <= 100; targetTreeSize++) {
-        var tree = new SymbolicExpressionTree();
-        var rootNode = (SymbolicExpressionTreeTopLevelNode)grammar.ProgramRootSymbol.CreateTreeNode();
-        rootNode.SetGrammar((ISymbolicExpressionTreeGrammar)Activator.CreateInstance(treeGrammarType, grammar));
-        if (rootNode.HasLocalParameters) rootNode.ResetLocalParameters(random);
-        var startNode = (SymbolicExpressionTreeTopLevelNode)grammar.StartSymbol.CreateTreeNode();
-        startNode.SetGrammar((ISymbolicExpressionTreeGrammar)Activator.CreateInstance(treeGrammarType, grammar));
-        if (startNode.HasLocalParameters) startNode.ResetLocalParameters(random);
-        rootNode.AddSubtree(startNode);
-
-        ProbabilisticTreeCreator_Accessor.TryCreateFullTreeFromSeed(random, startNode, targetTreeSize, ((int)Math.Log(targetTreeSize, 2)) + 1);
-        tree.Root = rootNode;
-        //mkommend: commented due to performance issues on the builder
-        // Assert.AreEqual(targetTreeSize + 2, tree.Length);  //the root and start node must be additionally added
-      }
-    }
-  }
-}
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreatorTest.cs	(revision 13246)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreatorTest.cs	(revision 13246)
@@ -0,0 +1,85 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Diagnostics;
+using HeuristicLab.Random;
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+
+namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Tests {
+  [TestClass]
+  public class ProbabilisticTreeCreatorTest {
+    private const int POPULATION_SIZE = 10000;
+    private const int MAX_TREE_LENGTH = 100;
+    private const int MAX_TREE_DEPTH = 10;
+
+    [TestMethod()]
+    [TestCategory("Encodings.SymbolicExpressionTree")]
+    [TestProperty("Time", "long")]
+    public void ProbabilisticTreeCreaterDistributionsTest() {
+      var randomTrees = new List<ISymbolicExpressionTree>();
+      var grammar = Grammars.CreateSimpleArithmeticGrammar();
+      var random = new MersenneTwister(31415);
+      var stopwatch = new Stopwatch();
+      stopwatch.Start();
+      for (int i = 0; i < POPULATION_SIZE; i++) {
+        randomTrees.Add(ProbabilisticTreeCreator.Create(random, grammar, MAX_TREE_LENGTH, MAX_TREE_DEPTH));
+      }
+      stopwatch.Stop();
+
+      int count = 0;
+      int depth = 0;
+      foreach (var tree in randomTrees) {
+        Util.IsValid(tree);
+        count += tree.Length;
+        depth += tree.Depth;
+      }
+      double msPerRandomTreeCreation = stopwatch.ElapsedMilliseconds / (double)POPULATION_SIZE;
+
+      Console.WriteLine("ProbabilisticTreeCreator: " + Environment.NewLine +
+        msPerRandomTreeCreation + " ms per random tree (~" + Math.Round(1000.0 / (msPerRandomTreeCreation)) + "random trees / s)" + Environment.NewLine +
+        Util.GetSizeDistributionString(randomTrees, 105, 5) + Environment.NewLine +
+        Util.GetFunctionDistributionString(randomTrees) + Environment.NewLine +
+        Util.GetNumberOfSubtreesDistributionString(randomTrees) + Environment.NewLine +
+        Util.GetTerminalDistributionString(randomTrees) + Environment.NewLine +
+        "Average tree depth: " + depth / POPULATION_SIZE + Environment.NewLine +
+        "Average tree length: " + count / POPULATION_SIZE + Environment.NewLine +
+        "Total nodes created: " + count + Environment.NewLine
+        );
+      //mkommend: commented due to performance issues on the builder
+      // Assert.IsTrue(Math.Round(1000.0 / (msPerRandomTreeCreation)) > 250); // must achieve more than 250 random trees / s
+    }
+
+    [TestMethod]
+    [TestCategory("Encodings.SymbolicExpressionTree")]
+    [TestProperty("Time", "short")]
+    public void ProbabilisticTreeCreatorSpecificTreeSizesTest() {
+      var grammar = Grammars.CreateSimpleArithmeticGrammar();
+      var random = new MersenneTwister(31415);
+
+      for (int targetTreeSize = 3; targetTreeSize <= 100; targetTreeSize++) {
+        var tree = ProbabilisticTreeCreator.CreateExpressionTree(random, grammar, targetTreeSize, ((int)Math.Log(targetTreeSize, 2)) + 2);
+        Assert.AreEqual(targetTreeSize, tree.Length);
+      }
+    }
+  }
+}
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs	(revision 13246)
@@ -79,5 +79,5 @@
     [TestProperty("Time", "medium")]
     public void OnlinePearsonsRSquaredCalculatorPerformanceTest() {
-      TestCalculatorPerfomance(OnlinePearsonsRSquaredCalculator.Calculate);
+      TestCalculatorPerfomance(OnlinePearsonsRCalculator.Calculate);
     }
 
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void AckleyEvaluateFunctionTest() {
-      AckleyEvaluator_Accessor target = new AckleyEvaluator_Accessor();
+      AckleyEvaluator target = new AckleyEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void BealeEvaluateFunctionTest() {
-      BealeEvaluator_Accessor target = new BealeEvaluator_Accessor();
+      BealeEvaluator target = new BealeEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void BoothEvaluateFunctionTest() {
-      BoothEvaluator_Accessor target = new BoothEvaluator_Accessor();
+      BoothEvaluator target = new BoothEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void GriewankEvaluateFunctionTest() {
-      GriewankEvaluator_Accessor target = new GriewankEvaluator_Accessor();
+      GriewankEvaluator target = new GriewankEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void LevyEvaluateFunctionTest() {
-      LevyEvaluator_Accessor target = new LevyEvaluator_Accessor();
+      LevyEvaluator target = new LevyEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void MatyasEvaluateFunctionTest() {
-      MatyasEvaluator_Accessor target = new MatyasEvaluator_Accessor();
+      MatyasEvaluator target = new MatyasEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void RastriginEvaluateFunctionTest() {
-      RastriginEvaluator_Accessor target = new RastriginEvaluator_Accessor();
+      RastriginEvaluator target = new RastriginEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void RosenbrockEvaluateFunctionTest() {
-      RosenbrockEvaluator_Accessor target = new RosenbrockEvaluator_Accessor();
+      RosenbrockEvaluator target = new RosenbrockEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void SphereEvaluateFunctionTest() {
-      SphereEvaluator_Accessor target = new SphereEvaluator_Accessor();
+      SphereEvaluator target = new SphereEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void SumSquaresEvaluateFunctionTest() {
-      SumSquaresEvaluator_Accessor target = new SumSquaresEvaluator_Accessor();
+      SumSquaresEvaluator target = new SumSquaresEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 13246)
@@ -37,5 +37,5 @@
     [TestProperty("Time", "short")]
     public void ZakharovEvaluateFunctionTest() {
-      ZakharovEvaluator_Accessor target = new ZakharovEvaluator_Accessor();
+      ZakharovEvaluator target = new ZakharovEvaluator();
       RealVector point = null;
       double expected = target.BestKnownQuality;
Index: /stable/HeuristicLab.Tests/HeuristicLab.Tests.csproj
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 13245)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 13246)
@@ -471,5 +471,4 @@
     <Compile Include="HeuristicLab.Encodings.BinaryVectorEncoding-3.3\Auxiliary.cs" />
     <Compile Include="HeuristicLab.Encodings.BinaryVectorEncoding-3.3\NPointCrossoverTest.cs" />
-    <Compile Include="HeuristicLab.Encodings.BinaryVectorEncoding-3.3\SinglePointCrossoverTest.cs" />
     <Compile Include="HeuristicLab.Encodings.BinaryVectorEncoding-3.3\SinglePositionBitflipManipulatorTest.cs" />
     <Compile Include="HeuristicLab.Encodings.BinaryVectorEncoding-3.3\SomePositionsBitflipManipulatorTest.cs" />
@@ -528,5 +527,5 @@
     <Compile Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4\Grammars.cs" />
     <Compile Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4\GrowTreeCreatorTest.cs" />
-    <Compile Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4\ProbabilisticTreeCreaterTest.cs" />
+    <Compile Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4\ProbabilisticTreeCreatorTest.cs" />
     <Compile Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4\ReplaceBranchManipulationTest.cs" />
     <Compile Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4\SubroutineCreaterTest.cs" />
@@ -617,5 +616,4 @@
     </None>
     <None Include="HeuristicLab.snk" />
-    <None Include="Test References\HeuristicLab.PluginInfrastructure-3.3.accessor" />
     <None Include="Test Resources\GA_SymbReg.hl">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
@@ -630,11 +628,4 @@
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </None>
-    <Shadow Include="Test References\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.accessor" />
-    <Shadow Include="Test References\HeuristicLab.MainForm.WindowsForms-3.3.accessor" />
-    <Shadow Include="Test References\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.accessor" />
-    <Shadow Include="Test References\HeuristicLab.Encodings.RealVectorEncoding-3.3.accessor" />
-    <Shadow Include="Test References\HeuristicLab.Encodings.BinaryVectorEncoding-3.3.accessor" />
-    <Shadow Include="Test References\HeuristicLab.Encodings.PermutationEncoding-3.3.accessor" />
-    <Shadow Include="Test References\HeuristicLab.Problems.TestFunctions-3.3.accessor" />
   </ItemGroup>
   <ItemGroup>
